<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Gallery_user extends CI_Model{
	var $gallery_path;
	var $gallery_path_url;
	
	function Gallery_user(){
		$this->gallery_path = realpath(APPPATH . "../images");
		$this->gallery_path_url = base_url() . 'images/';
	}
	
	function do_upload($ID){
			$config = array(
				'allowed_types' => 'jpg',
				'upload_path' => $this->gallery_path,
				'file_name' => $ID . '.JPG',
				'overwrite' => TRUE
			);
			if (is_uploaded_file($_FILES['userfile']['tmp_name'])) {
				$this->load->library('upload', $config);
				$this->upload->do_upload();
				$image_data = $this->upload->data();
				$data = array(
					'imageFile' => $image_data['file_name']
				);
				$this->db->where('ID', $ID );
//				$this->db->update('item', $data);
		 
				$config = array(
					'source_image' => $image_data['full_path'],
					'new_image' => $this->gallery_path . '/thumbs',
					'file_name' => $ID . '.JPG',
					'maintain_ratio' => true,
					'width' => 25,
					'height' => 50
				);
		
				$this->load->library('image_lib', $config);
				$this->image_lib->resize();
			}
	}
	
}
